<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_WIDTH", "1000px");
define("THEME_BULLET", "<span class='bullet'>&nbsp;</span>");
$enable_colour_switcher = true; //true=enable colour switcher | false=disable colour switcher
$enable_fontsize_switcher = true; //true=enable fontsize switcher | false=disable fontsize switcher

require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";

$colour_switcher = new Switcher("select", "color", "png", "blue", "switcherbutton");
if(!$enable_colour_switcher){
	$colour_switcher->disable();
}

$fontsize_switcher = new Switcher("increment", "fontsize", "gif", 1, "switcherbutton", "", true, array("step" => 0.1, "max" => 1.5));
if(!$enable_fontsize_switcher){
	$fontsize_switcher->disable();
}

redirect_img_dir(THEME."forum", THEME."forum/".$colour_switcher->selected);
redirect_img_dir(THEME."images", THEME."images/".$colour_switcher->selected);

function get_head_tags(){
	global $colour_switcher, $fontsize_switcher;
	echo $colour_switcher->makeHeadTag();
	echo "<style type='text/css'>body{font-size: ".$fontsize_switcher->selected."em;}</style>";
	echo "<!--[if lte IE 7]><style type='text/css'>.clearfix {display:inline-block;} * html .clearfix{height: 1px;}#subheader ul {display:inline-block;}#subheader ul {display:inline;}#subheader ul li {float:left;} #main-bg, .panelbody{position: relative;}</style><![endif]-->";
}

function render_page($license=false) {
	
	global $settings, $main_style, $locale, $userdata, $aidlink, $colour_switcher, $fontsize_switcher;

	//Header
	echo "<div class='outer_border $main_style' style='width:".THEME_WIDTH.";'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='sub-header-left'>";
	if (file_exists(INFUSIONS."css_dropdown_menu/menu.php")) {
		include INFUSIONS."css_dropdown_menu/menu.php";
	} else {
		echo showsublinks("", "white");
	}
	echo "</td>\n";
	// echo "<td class='sub-header-left'>".showsublinks("", "white")."</td>\n";
	echo "<td class='sub-header-right'>".zeitunddatum(2)."</td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td align='center' class='full-header'>\n".showbanners()."\n";
	echo "</td></tr>\n</table>\n";

	echo "<div class='spacer'></div>";
	echo "<div class='sub-header'>";
	echo "<div id='search_box'>\n";
	echo "<form name='searchform1' method='get' action='".BASEDIR."search.php'>\n";
	echo "<input type='text' name='stext' id='s' value='' class='swap_value' />\n";
	echo "<input type='submit' name='search' value='Suchen' id='go' />\n";
	echo "</form>\n";
	echo "</div>\n";
	echo "<div style='float: right; margin: 8px;'>".$colour_switcher->makeForm("flright")."</div>";
	echo "<div style='float: right; margin: 8px;'>".$fontsize_switcher->makeForm("flright")."</div>";
	echo "<div id='user-buttons' style='float:left;'>";

/*   Insert your own content below and remove this line   */
if (iMEMBER) {
	$msgcount = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");
} else {
	$msgcount = 0;
}
	echo "<script>
	var info_text=new Array()
	info_text[1]=\"Startseite\"
	info_text[2]=\"Profil bearbeiten\"
	info_text[3]=\"".sprintf("Du hast %u neue ", $msgcount).($msgcount == 1 ? "Nachricht" : "Nachrichten")."!\"
	info_text[4]=\"Private Nachrichten\"
	info_text[5]=\"Mitglieder\"
	info_text[6]=\"Avatar Studio\"
	info_text[7]=\"Abmelden\"
	info_text[8]=\"Anmelden\"
	info_text[9]=\"".(iMEMBER && defined("SCORESYSTEM") ? "Scorestand ".score_account_stand() : "")."\"
	info_text[10]=\"".(iMEMBER && defined("SCORESYSTEM") ? "Dein Account ist gesperrt." : "")."\"
	info_text[11]=\"Administration\"
	var ns6=document.getElementById&&!document.all
	var ie=document.all
	function zeige_info(thetext, whichdiv){
	if (ie) eval(\"document.all.\"+whichdiv).innerHTML=info_text[thetext]
	else if (ns6) document.getElementById(whichdiv).innerHTML=info_text[thetext]
	}
	function reset_info(whichdiv){
	if (ie) eval(\"document.all.\"+whichdiv).innerHTML=' '
	else if (ns6) document.getElementById(whichdiv).innerHTML=' '
	}
	</script>";
	echo "<ul class='bubblewrap'>";
	echo "<li><a href='".BASEDIR."index.php' title='Startseite'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/home.png' onmouseover=\"zeige_info(1,'info_area');\" onmouseout=\"reset_info('info_area');\" /></a></li>";
	if (iADMIN) {
	echo "<li><a href='".BASEDIR."administration/index.php".$aidlink."' title='Administration'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/admin.png' onmouseover=\"zeige_info(11,'info_area');\" onmouseout=\"reset_info('info_area');\" /></a></li>";
	}
if (iMEMBER) {
	echo "<li><a href='".BASEDIR."edit_profile.php' title='Profil bearbeiten'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/settings.png' onmouseover=\"zeige_info(2,'info_area');\" onmouseout=\"reset_info('info_area');\" /></a></li>";
	echo "<li><a href='".BASEDIR."messages.php' title='Private Nachrichten'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/".($msgcount ? "new_pm.png' onmouseover=\"zeige_info(3,'info_area');\" onmouseout=\"reset_info('info_area');\"" : "pm.png' onmouseover=\"zeige_info(4,'info_area');\" onmouseout=\"reset_info('info_area');\"")."  /></a></li>";
	echo "<li><a href='".BASEDIR."members.php' title='Mitglieder'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/members.png' onmouseover=\"zeige_info(5,'info_area');\" onmouseout=\"reset_info('info_area');\" /></a></li>";
/// Avatar-Studio ///////////////	
	if (file_exists(INFUSIONS."avatar_studio/avatar_studio.php")) {
	echo "<li><a href='".INFUSIONS."avatar_studio/avatar_studio.php' title='Avatar Studio'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/avatar_studio.png' onmouseover=\"zeige_info(6,'info_area');\" onmouseout=\"reset_info('info_area');\" /></a></li>";
	}
////////////////////////////////
///Score-System ///////////////////
	if (defined("SCORESYSTEM")) {
		if (iMEMBER) {
			if (!score_ban($userdata['user_id'])) {
				echo "<li><a href='".SCORESYSTEM."scoresystem.php' title='Zum Score-Account'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/scoresystem.png' alt='Zum Score-Account' onmouseover=\"zeige_info(9,'info_area');\" onmouseout=\"resetit('info_area');\" /></a></li>";
			} else {
				echo "<li><a href='".SCORESYSTEM."scoresystem.php' title='Zum Score-Account'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/scoresystem_block.png' alt='Zum Score-Account' onmouseover=\"zeige_info(10,'info_area');\" onmouseout=\"resetit('info_area');\" /></a></li>";
			}
		}
	}
///////////////////////////////////
	echo "<li><a href='".BASEDIR."setuser.php?logout=yes' title='Abmelden'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/exit.png' onmouseover=\"zeige_info(7,'info_area');\" onmouseout=\"reset_info('info_area');\" /></a></li>";
	} else {
	echo "<li><a href='".BASEDIR."login.php' title='Anmelden'><img src='".THEME."/images/".$colour_switcher->selected."/user_buttons/login.png' onmouseover=\"zeige_info(8,'info_area');\" onmouseout=\"reset_info('info_area');\" /></a></li>";
	}
	echo "<li>&nbsp;&nbsp;<i><span id='info_area'></span></i></li>";
	echo "</ul>";
	echo "</div>";
	echo "</div>";
	if (file_exists(INFUSIONS."mg_gruss_ticker_panel/mg_gruss_ticker_include.php")) {
	echo "<div class='spacer'></div>";

	echo "<div class='sub-header'>";
	include INFUSIONS."mg_gruss_ticker_panel/mg_gruss_ticker_include.php";	
	echo "</div>";
	}
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='footer-left'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>";
	echo "<td class='footer-right'>".showcounter()."</tr>\n";
	echo "<tr><td class='main-footer' colspan='2'>\n";
	if (!$license) { echo "\n".showcopyright(); }
	$u1_data = dbarray(dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='1'"));
	$jahr1 = date('Y', $u1_data['user_joined']);
	echo "<!-- Copyright aktuelles Jahr Start -->
<script type='text/javascript'>
<!-- Hide from old browsers
    today=new Date();
    y0=today.getFullYear();
  // end hiding -->
</script>
<br />Copyright &copy; ".$jahr1." - <script type='text/javascript'>
  <!--- Hide from old browsers
    document.write(y0);
  // end hiding -->
</script>
<!-- Copyright aktuelles Jahr Ende -->
			<strong>".$settings['siteusername']."</strong>";
	echo "<br /><br />".stripslashes($settings['footer'])."<br /><br />Theme: <a href='http://phpfusion.marcusg.de' target='_blank' title='by MarcusG' class='copyright'>Phase Multicolor</a>	
	</td>\n";
	echo "</tr>\n</table>\n";
	echo "</div>";

}

function render_news($subject, $news, $info) {
	
	global $colour_switcher;
  
    if (file_exists(THEME."images/title/news.png")) {
    $subject = "<img class='p-img' src='".THEME."images/title/news.png' alt='' />&nbsp;".$subject."";
    } else {
    $subject = $subject;
    }

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='news-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='news-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {
	
	global $colour_switcher, $p_data;
  
    if (file_exists(THEME."images/title/".$p_data['panel_filename'].".png")) {
    $title = "<img class='p-img' src='".THEME."images/title/".$p_data['panel_filename'].".png' alt='' />&nbsp;".$title."";
    } else {
    $title = $title;
    }

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr><tr>\n";
	echo "</tr>\n</table><div class='spacer'></div>\n";

}

function openside($title, $collapse = false, $state = "on") {
	
	global $colour_switcher, $p_data, $panel_collapse; $panel_collapse = $collapse;
  
		if (file_exists(THEME."images/title/".$p_data['panel_filename'].".png")) {
			$box_icon = "<img class='p-img' src='".THEME."images/title/".$p_data['panel_filename'].".png' alt='' />&nbsp;";
		} else {
			$box_icon = "<img class='p-img' src='".THEME."images/title/default.png' alt='' />&nbsp;";
		}
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain-left'>".$box_icon.$title."</td>\n";
		echo "<td class='scapmain-right'>".panelbutton($state, $boxname)."</td>\n";
	} else {
		echo "<td class='scapmain'>".$box_icon.$title."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n<div class='spacer'></div>";


}

function zeitunddatum($type=1)
{
  global $settings;
  $retValue = "";

  switch ($type)
        {
          case 1:
                  $retValue = ucwords(showdate($settings['subheaderdate'], time()));
                  break;
          case 2:
                  $jscript ="<script type='text/javascript'>
                              var ZeitString;
                              function ZeitDatum ()
                              {
                                Jetzt = new Date();
                                //aktuelle Uhrzeit
                                Stunden = Jetzt.getHours();
                                Minuten = Jetzt.getMinutes();
                                Sekunden = Jetzt.getSeconds();
                                ZeitString = Stunden;
                                ZeitString += ((Minuten < 10) ? \":0\" : \":\") + Minuten;
                                ZeitString += ((Sekunden < 10) ? \":0\" : \":\") + Sekunden;
                                document.getElementById('zeit').innerHTML = ZeitString;
                                setTimeout(\"ZeitDatum()\", 1000);
                              }
                              </script>";
                  add_to_head($jscript);
                  $retValue = str_replace(array("May"),array("Mai"),date("d.m.Y")." | <span id=\"zeit\">Zeit</span>");
                  $retValue .= "<script>ZeitDatum();</script>";
                  break;
          default:
                  $retValue = ucwords(showdate($settings['subheaderdate'], time()));
                  break;
        }
  return $retValue;
}
?>
